glibmm: Gio::Error Class Reference

# Gio::Error Class Reference

Exception class for giomm errors. More...

Inherits Glib::Error.

Collaboration diagram for Gio::Error:
[legend]

List of all members.

## Public Types
enum | Code { FAILED, NOT_FOUND, EXISTS, IS_DIRECTORY, NOT_DIRECTORY, NOT_EMPTY, NOT_REGULAR_FILE, NOT_SYMBOLIC_LINK, NOT_MOUNTABLE_FILE, FILENAME_TOO_LONG, INVALID_FILENAME, TOO_MANY_LINKS, NO_SPACE, INVALID_ARGUMENT, PERMISSION_DENIED, NOT_SUPPORTED, NOT_MOUNTED, ALREADY_MOUNTED, CLOSED, CANCELLED, PENDING, READ_ONLY, CANT_CREATE_BACKUP, WRONG_ETAG, TIMED_OUT, WOULD_RECURSE, BUSY, WOULD_BLOCK, HOST_NOT_FOUND, HOST_WAS_NOT_FOUND = HOST_NOT_FOUND, WOULD_MERGE, FAILED_HANDLED, TOO_MANY_OPEN_FILES, NOT_INITIALIZED, ADDRESS_IN_USE }
## Public Member Functions
| Error (Code error_code, const Glib::ustring& error_message)
| Error (GError* gobject)
Code | code () const

## Detailed Description

Exception class for giomm errors.

## Member Enumeration Documentation

enum Gio::Error::Code

Enumerator:

  FAILED |
  NOT_FOUND |
  EXISTS |
  IS_DIRECTORY |
  NOT_DIRECTORY |
  NOT_EMPTY |
  NOT_REGULAR_FILE |
  NOT_SYMBOLIC_LINK |
  NOT_MOUNTABLE_FILE |
  FILENAME_TOO_LONG |
  INVALID_FILENAME |
  TOO_MANY_LINKS |
  NO_SPACE |
  INVALID_ARGUMENT |
  PERMISSION_DENIED |
  NOT_SUPPORTED |
  NOT_MOUNTED |
  ALREADY_MOUNTED |
  CLOSED |
  CANCELLED |
  PENDING |
  READ_ONLY |
  CANT_CREATE_BACKUP |
  WRONG_ETAG |
  TIMED_OUT |
  WOULD_RECURSE |
  BUSY |
  WOULD_BLOCK |
  HOST_NOT_FOUND |
  HOST_WAS_NOT_FOUND |
  WOULD_MERGE |
  FAILED_HANDLED |
  TOO_MANY_OPEN_FILES |
  NOT_INITIALIZED |
  ADDRESS_IN_USE |

## Constructor & Destructor Documentation

Gio::Error::Error | ( | Code | error_code,
|  | const Glib::ustring& | error_message |
| ) |  |  |

Gio::Error::Error | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gio::Error::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- giomm/error.h